RNifti: RNifti::NiftiImageData::Iterator Class Reference

RNifti Fast R and C++ Access to NIfTI Images

Public Member Functions | List of all members
RNifti::NiftiImageData::Iterator Class Reference

Iterator type for `NiftiImageData`, with `Element` as its value type. More...

`#include <NiftiImage.h>`

Inheritance diagram for RNifti::NiftiImageData::Iterator:

## Public Member Functions
| Iterator (const NiftiImageData &parent, void *ptr=NULL, const size_t step=0)
| Primary constructor. More...
| Iterator (const Iterator &other)
| Copy constructor. More...
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator | operator+ (ptrdiff_t n) const
Iterator & | operator-- ()
Iterator | operator-- (int)
Iterator | operator- (ptrdiff_t n) const
ptrdiff_t | operator- (const Iterator &other) const
bool | operator== (const Iterator &other) const
bool | operator!= (const Iterator &other) const
bool | operator> (const Iterator &other) const
bool | operator< (const Iterator &other) const
const Element | operator* () const
Element | operator* ()
const Element | operator[] (const size_t i) const
Element | operator[] (const size_t i)

## Detailed Description

Iterator type for `NiftiImageData`, with `Element` as its value type.

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

RNifti::NiftiImageData::Iterator::Iterator | ( | const NiftiImageData & | parent,
|  | void * | ptr = `NULL`,
|  | const size_t | step = `0`
| ) |  |
| inline

Primary constructor.

Parameters

  parent | A reference to the parent object
  ptr | An opaque pointer to the memory underpinning the iterator
  step | The increment between elements within the blob, in bytes. If zero, the default, the width associated with the stored datatype will be used.

## ◆ Iterator() [2/2]

RNifti::NiftiImageData::Iterator::Iterator | ( | const Iterator & | other | ) |
| inline

Copy constructor.

Parameters

  other | Another iterator

The documentation for this class was generated from the following file:

- inst/include/RNifti/NiftiImage.h